# ITEAD Studio Dual Stepper Shield Library

This is an experimental Arduino library for controlling two stepper motors using the ITEAD Studio dual stepper motor driver shield. 

Currently limited to supporting bipolar NEMA17 motors.


## Example

```cpp
#include "IteadDualStepperShield.h"

IteadDualStepperShield mc;

void setup () {
  mc.setup();
  mc.setSpeed(0, 2000);
  mc.setSpeed(1, 2000);
}

void loop () {
  mc.setDir(0, 1);
  mc.setDir(1, 1);
  delay(50);
  mc.stepBoth(200); // Run stepper in one direction
  delay(500);
  mc.setDir(0, 0);
  mc.setDir(1, 0);
  delay(50);
  mc.stepBoth(200); // Run stepper in reverse direction
  delay(500);
}
```


## Links

[Banana Robotics - Dual Stepper Motor Driver Shield for Arduino](https://www.bananarobotics.com/shop/ITEAD-Dual-Stepper-Motor-Driver-Shield)

[ITEAD Wiki - Arduino Dual Step Motor Driver Shield](https://wiki.iteadstudio.com/Arduino_Dual_Step_Motor_Driver_Shield)